This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.107. __nv_fast_powf

Prototype:

    float @__nv_fast_powf(float %x, float %y)

Description:

Calculate the fast approximate of `x`, the first input argument, raised to the power of `y`, the second input argument, x y .

Returns:

Returns an approximation to x y .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.2, Table 9.

Most input and output values around denormal range are flushed to sign preserving 0.0.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes